"use strict";

const assureArray = require("assure-array");

function normalizeSingleAction(action) {
	if (typeof action === "string") {
		return { type: action };
	} else {
		return action;
	}
}

module.exports = function normalizeAction(action, makeArray = false) {
	if (makeArray === true) {
		return assureArray(action).map(normalizeSingleAction);
	} else {
		return normalizeSingleAction(action);
	}
};