"use strict";

const React = require("react");
// const reactHotLoader = require("react-hot-loader");
const reactHotLoader = {hot: (_) => (component) => component};
const createReactClass = require("create-react-class");

const App = require("./components");

/* NOTE: This wrapper exists due to pureSFC use: https://github.com/gaearon/react-hot-loader/issues/1088#issuecomment-434912466 */
/* NOTE: This wrapper MUST exist in its own module that it is exported from, otherwise hot reloads will not work reliably (and produce "Cannot find module <...>" errors). */
module.exports = reactHotLoader.hot(module)(createReactClass({
	displayName: "AppWrapper",
	render: function () {
		return <App />;
	}
}));