"use strict";

const React = require("react");
const classnames = require("classnames");

function Frame({className, children}) {
	return (
		<div className={classnames("frame", className)}>
			<div className="frameShadow"></div>
			{children}
		</div>
	);
}

module.exports = Frame;