"use strict";

const React = require("react");
const classnames = require("classnames");

function Picker({className, children}) {
	return (
		<div className={classnames("picker", className)}>
			<div className="selectedOption">
				{children}
			</div>
			<div className="pickerArrow">▼</div>
		</div>
	);
}

module.exports = Picker;