"use strict";

const immutable = require("immutable");

module.exports = {
	connected: false, // boolean
	selectedTab: null, // string
	selectedTabType: null, // {"conversation", "meta"}
	username: null, // string
	displayName: null, // string
	displayNameDBStored: true, // string
	status: null, // {"online", "away", "offline"}
	statusMessage: null, // string
	isTypingTo: immutable.Set(), // (friends) username
	pausedTypingTo: immutable.Set(), // (friends) username
	// friends: immutable.Map(), // string [username] -> Friend
	// friendRequests: immutable.Map(), // string [username] -> FriendRequest
	// messages: immutable.Map(), // string [id] -> Message
};