"use strict";

const React = require("react");
const reactRedux = require("react-redux");

module.exports = function useStore() {
	let {store} = React.useContext(reactRedux.ReactReduxContext);

	return {
		state: store.getState(),
		getState: store.getState,
		dispatch: store.dispatch
	};
};