"use strict";

const Promise = require("bluebird");
const React = require("react");
const ReactDOM = require("react-dom");
const documentReadyPromise = require("document-ready-promise");
// const reactHotLoader = require("react-hot-loader");

/* NOTE: This MUST be called before requiring any other components! */
// reactHotLoader.setConfig({
// 	pureSFC: true
// });

const AppWrapper = require("./app-wrapper");

Promise.try(() => {
	return documentReadyPromise();
}).then(() => {
	console.log("Mounting application...");
	ReactDOM.render(<AppWrapper />, document.querySelector(".appContainer"));
});