"use strict";

module.exports = function unscopedKey(moduleName, scopedKey) {
	if (scopedKey == null) {
		return scopedKey;
	} else if (moduleName == null) {
		return `@${scopedKey}`;
	} else {
		if (scopedKey.startsWith(`${moduleName}_`)) {
			return scopedKey.slice(moduleName.length + 1);
		} else {
			return `@${scopedKey}`
		}
	}
};